﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band1 = layout.Bands[1];
            band1.Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Custom, new MySummaryCalculator(), band1.Columns[0], SummaryPosition.UseSummaryPositionColumn, band1.Columns[0]);
        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if (e.Row.Band.Index == 0)
            {
                e.Row.Cells[0].Value = e.Row.ChildBands[0].Rows.SummaryValues[0].Value;
            }
        }

        private class MySummaryCalculator : ICustomSummaryCalculator
        {
            #region ICustomSummaryCalculator Members

            void ICustomSummaryCalculator.AggregateCustomSummary(SummarySettings summarySettings, UltraGridRow row)
            {
                
            }

            void ICustomSummaryCalculator.BeginCustomSummary(SummarySettings summarySettings, RowsCollection rows)
            {
                
            }

            object ICustomSummaryCalculator.EndCustomSummary(SummarySettings summarySettings, RowsCollection rows)
            {
                return 5000;
            }

            #endregion
        }

    }
}
